#ifndef __ERROR_MSG_H
#define __ERROR_MSG_H

#include <stdarg.h>

void logprint(int level, char *format_str, ...);
void setlogfile(char *fname);
void setlogmode(int lmode);
void setloglevel(int level);

#define LEVEL_ERR	0
#define LEVEL_INFO	1
#define LEVEL_VERBOSE	2

#endif
